#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <sys/types.h>
#include <unistd.h>

int main(int argc, char** argv, char** env)
{

  int pidi;
  pid_t pid;

  if (argc != 2) {
    fprintf (stderr, "usage: %s pid\n", argv[0]);
    return EXIT_FAILURE;
  }

  pidi = atoi (argv[1]);
  pid = (pid_t) pidi;

  if (kill(pid, SIGPWR) == -1) {
    fprintf (stderr, "error while sending signal");
    return EXIT_FAILURE;
  }

  if (kill(pid, SIGSYS) == -1) {
    fprintf (stderr, "error while sending signal");
    return EXIT_FAILURE;
  }

  return EXIT_SUCCESS;
}
